;mIRCDD 1.1
;A document creator for mIRC
;14/05/03 CloCkWeRX
;notes You must declare all PUBLIC and DOCUMENTED aliases. To make an alias private, use the -l switch.
;public mIRCDD, makeStyle, ripComments

alias mIRCDD {
  ;syntax /mIRCDD
  ;description Generates mIRC documentation.
  ;return As this is not an identifier we leave the return var blank, so it returns NOTHING. If it is not specified however, you will get an %

  var %syntax /mIRCDD
  var %description Generates mIRC documentation. This comes with the mIRC stx, ctl and any other Editplus related files. This will go someway towards an IDE of some sort. It reads each file and calls it as an $+($,aliasname(0).*). It looks for a syntax, version and return type if applicable.
  var %return

  if ($prop == syntax) || ($prop == description) || ($prop == return) { return $eval($+(%,$prop),2) }
  else {
    if ($isfile($1-)) {
      makeStyle $nofile($1-)
      write -c $+($1-,.htm) <html><head><title>Documentation for $nopath($1-) </title><link rel=stylesheet href="style.css"></head><body><h1>Documentation for $nopath($1-) </h1>
      var %wVar $remove($read($1-, w, *;public *),;public)
      var %i = 1
      while (%i <= $gettok(%wVar,0,44)) {
        ripComments $gettok(%wVar,%i,44)
        inc %i
      }
      write $+($nopath($1-),.htm) <hr>Yet another CloCkWeRX Innovation - gekko_dev at hotmail dot com</body></html>
      echo -a $+($nopath($1-),.htm) created!
    } 
    else { echo 4 -s $1- is not a file }
  } 
}
alias ripComments {
  ;syntax /ripComments aliasname
  ;description This alias pulls the syntax, description and return values, and puts them in HTML. You will never see this work however as mIRC aliases cannot recursively call themselves.
  ;return As this is not an identifier we leave the return var blank, so it returns NOTHING. If it is not specified however, you well get an %

  var %syntax /ripComments aliasname
  var %description This alias pulls the syntax, description and return values, and puts them in HTML.
  var %return

  if ($prop == syntax) || ($prop == description) || ($prop == return) { return $eval($+(%,$prop),2) }
  else {
    if ($isalias($1)) {
      write $+($isalias($1).fname,.htm) <hr><h3> $1 </h3><table><tr><th>Syntax</th><td> $eval($+($,$1,(0).syntax),2) </td></tr><tr><th>Description</th><td> $eval($+($,$1,(0).description),2) </td></tr><tr><th>Return</th><td> $eval($+($,$1,(0).return),2) </td></tr></table>
    }
  }
}
alias makeStyle {
  ;syntax /makeStyle directory
  ;description Creates a "style.css" file in the directory specified

  var %syntax /makeStyle directory
  var %description Creates a "style.css" file in the directory specified
  var %return

  if ($prop == syntax) || ($prop == description) || ($prop == return) { return $eval($+(%,$prop),2) }
  else {
    if (!$isfile($+($1,style.css))) {
      ;Customise your stylesheet here!
      write -c $eval($+($1,style.css),2) body, table {font-family: arial}
      write $eval($+($1,style.css),2) td {background:#F0F8FF;}

    }
  }
}
